Bug 1874737 - [ovn][upgrade][4.5]Failed to upgrade for ovn network plugin
Summary: [ovn][upgrade][4.5]Failed to upgrade for ovn network plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Alexander Constantinescu
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On: 1874385 1882085
Blocks: 1875438
TreeView+ depends on / blocked
 
Reported: 2020-09-02 06:36 UTC by zhaozhanqi
Modified: 2020-10-19 15:19 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1874385
: 1875438 (view as bug list)
Environment:
Last Closed: 2020-09-30 14:07:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 779 0 None closed Bug 1874737: [release-4.5] OVN: Handle OVN db upgrades 2020-12-21 11:27:22 UTC
Red Hat Product Errata RHBA-2020:3760 0 None None None 2020-09-30 14:07:29 UTC

Comment 1 Ben Bennett 2020-09-02 14:22:58 UTC
When this fix lands we need to revert https://github.com/openshift/ovn-kubernetes/pull/248 so that 4.5 can take the new version.

Comment 2 Ben Bennett 2020-09-02 20:49:58 UTC
NOTE: This should not block 4.5.8 because of the workaround in https://bugzilla.redhat.com/show_bug.cgi?id=1874928

We need to keep this bug so that we remove the workaround when the real fix is ready.

Comment 5 Anurag saxena 2020-09-21 20:46:41 UTC
4.5.11-x86_64 > 4.5.0-0.nightly-2020-09-20-185910 upgraded successfully

Thanks!

Comment 9 errata-xmlrpc 2020-09-30 14:07:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.13 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3760


Note You need to log in before you can comment on or make changes to this bug.